import { BMap } from "src/bmap";
import { Floor } from "../../elements";
import { GraphicInfo, LoadQuery } from "../../types";
type LoadGraphicQuery = Omit<LoadQuery, "resource_type_list">;
export declare class CrLoader {
    bmap: BMap;
    cacheData: Map<string, GraphicInfo[]>;
    floorDataLengthMap: Map<any, any>;
    buildingGroundMap: Map<string, GraphicInfo | Promise<GraphicInfo | null> | null>;
    externalStreetMap: Map<string, Promise<GraphicInfo[] | null>>;
    constructor(bmap: BMap);
    load(query: LoadQuery): Promise<GraphicInfo[]>;
    /**
     * 加载外部街道
     */
    loadExternalStreet(query: Pick<LoadQuery, "project" | "floor">): Promise<void>;
    switchFloorByData(data: GraphicInfo[], floor: Floor): void;
    filterData(data: GraphicInfo[], floor: Floor): GraphicInfo[];
    private switchFloorByStoreData;
    private switchFloorByOtherData;
    loadBuildGround({ brand, project }: LoadGraphicQuery): Promise<import("../../types").GraphicOptions | null>;
    loadBuildingGround({ brand, project, }: Omit<LoadQuery, "floor" | "ts" | "resource_type_list">): Promise<GraphicInfo | null>;
    switchFloor(query: LoadGraphicQuery): Promise<Floor>;
    dispose(): void;
}
export {};
